### Method

# Gtk StyleContext has_class

#### Declaration [src]

    gboolean
    gtk_style_context_has_class (
      GtkStyleContext* context,
      const char* class_name
    )

#### Description [src]

Returns `TRUE` if `context` currently has defined the given class name.

#### Parameters

`class_name` | `const char*`
| A class name.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if `context` has `class_name` defined.